{
	"artifacts" : 
	[
		{
			"path" : "P2/ADS_P2_1_Sortieren/P2_1_Sortieren"
		}
	],
	"backtrace" : 1,
	"backtraceGraph" : 
	{
		"commands" : 
		[
			"add_executable",
			"set_property",
			"find_package",
			"target_link_libraries"
		],
		"files" : 
		[
			"P2/ADS_P2_1_Sortieren/CMakeLists.txt",
			"/Applications/CLion.app/Contents/bin/cmake/mac/aarch64/share/cmake-3.28/Modules/FindOpenMP.cmake"
		],
		"nodes" : 
		[
			{
				"file" : 0
			},
			{
				"command" : 0,
				"file" : 0,
				"line" : 11,
				"parent" : 0
			},
			{
				"command" : 2,
				"file" : 0,
				"line" : 9,
				"parent" : 0
			},
			{
				"file" : 1,
				"parent" : 2
			},
			{
				"command" : 1,
				"file" : 1,
				"line" : 619,
				"parent" : 3
			},
			{
				"command" : 3,
				"file" : 0,
				"line" : 12,
				"parent" : 0
			}
		]
	},
	"compileGroups" : 
	[
		{
			"compileCommandFragments" : 
			[
				{
					"fragment" : "-g -std=gnu++17 -arch arm64 -isysroot /Library/Developer/CommandLineTools/SDKs/MacOSX15.2.sdk -fdiagnostics-color=always"
				},
				{
					"backtrace" : 5,
					"fragment" : "-fopenmp"
				}
			],
			"language" : "CXX",
			"languageStandard" : 
			{
				"backtraces" : 
				[
					1
				],
				"standard" : "17"
			},
			"sourceIndexes" : 
			[
				0,
				1,
				2
			]
		}
	],
	"id" : "P2_1_Sortieren::@2c7f32daa6d89936809e",
	"link" : 
	{
		"commandFragments" : 
		[
			{
				"fragment" : "-g",
				"role" : "flags"
			},
			{
				"fragment" : "",
				"role" : "flags"
			},
			{
				"backtrace" : 4,
				"fragment" : "/opt/homebrew/Cellar/gcc/14.2.0_1/lib/gcc/current/libgomp.dylib",
				"role" : "libraries"
			}
		],
		"language" : "CXX"
	},
	"name" : "P2_1_Sortieren",
	"nameOnDisk" : "P2_1_Sortieren",
	"paths" : 
	{
		"build" : "P2/ADS_P2_1_Sortieren",
		"source" : "P2/ADS_P2_1_Sortieren"
	},
	"sourceGroups" : 
	[
		{
			"name" : "Source Files",
			"sourceIndexes" : 
			[
				0,
				1,
				2
			]
		}
	],
	"sources" : 
	[
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "P2/ADS_P2_1_Sortieren/main.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "P2/ADS_P2_1_Sortieren/sorting.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "P2/ADS_P2_1_Sortieren/unit_tests.cpp",
			"sourceGroupIndex" : 0
		}
	],
	"type" : "EXECUTABLE"
}
